Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
recommended-actions
/
bulk-dismiss
Bulk dismiss recommended actions
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/bulk-dismiss \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "comment": "<string>"
}
'
{
  "succeeded": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "skipped": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

Organization identifier

workspace_id
string<uuid>
required

Workspace identifier

Body

ids
string<uuid>[]
required

List of recommended action UUIDs to dismiss

reason
enum<string>
required

Shared dismiss reason applied to every item in the batch. One of: not_relevant, already_implemented, not_feasible, deprioritised

  • not_relevant - not_relevant
  • already_implemented - already_implemented
  • not_feasible - not_feasible
  • deprioritised - deprioritised
Available options:
not_relevant,
already_implemented,
not_feasible,
deprioritised
comment
string | null

Optional free-text comment applied to all dismissed items

Response

Partial-success result. succeeded lists dismissed IDs; skipped lists IDs that were already dismissed or not_found.

succeeded
string<uuid>[]
required

IDs that were successfully dismissed

skipped
object[]
required

IDs that were not processed and the reason why